Page MenuHomePhabricator

Renaming a Blog page causes a fatal when running jobs
Closed, ResolvedPublic

Description

Steps to reproduce:

  • Create a blog page
  • Rename it
  • Run runJobs.php

The output of runJobs.php displays:

2018-08-01 15:36:18 refreshLinksPrioritized Blog:Blog_page_moved rootJobTimestamp=20180801153608 useRecursiveLinksUpdate= triggeringUser={"userId":1,"userName":"Jesus"} triggeringRevisionId=162 requestId=7f1ae4c0b739ad8dfd7efdf2 (id=55,timestamp=20180801153608) STARTING
PHP Fatal error:  Call to a member function getArticleID() on null in extensions/Comments/includes/Comment.php on line 246

The runJobs.php script halts. Running it again skips this job for a while. If no jobs were run between the page got created and then renamed, categories of the blog aren't populated, so the blog is not listed on the user page and other places...

Doing a null-edit causes the error to be reproducible again in the runJobs.php script.

Event Timeline

Restricted Application added a project: Social-Tools. · View Herald TranscriptAug 1 2018, 3:50 PM

Change 449761 had a related patch set uploaded (by Martineznovo; owner: Martineznovo):
[mediawiki/extensions/Comments@master] Fix Fatal: Call to a member function getArticleID() on null on runJobs.php

https://gerrit.wikimedia.org/r/449761

Ciencia_Al_Poder edited projects, added Comments; removed BlogPage.

This actually is a fault of the Comments extension (incidentally, blogs have comments 😁). I'm not sure why this happens when the blog page is renamed, and not otherwise, though, although using $wgOut can be the source of a lot of problems.

Ciencia_Al_Poder moved this task from Backlog to Bugs on the Comments board.Aug 1 2018, 5:27 PM

Change 449761 merged by jenkins-bot:
[mediawiki/extensions/Comments@master] Fix Fatal: Call to a member function getArticleID() on null on runJobs.php

https://gerrit.wikimedia.org/r/449761

Ciencia_Al_Poder closed this task as Resolved.Aug 3 2018, 8:43 AM